<?php

use App\Database\Migrations\TenantMigration;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends TenantMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::table('receipts_rows', function (Blueprint $table) {
            if (!Schema::hasColumn('receipts_rows', 'prediscount_amount')) {
                $table->decimal('prediscount_amount', 10, 2)->nullable()->after('amount');
            }
            if (!Schema::hasColumn('receipts_rows', 'sconto')) {
                $table->decimal('sconto', 10, 2)->default(0)->after('prediscount_amount');
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('receipts', function (Blueprint $table) {
            $table->dropColumn('prediscount_amount');
        });

        Schema::table('receipt_rows', function (Blueprint $table) {
            $table->dropColumn(['prediscount_amount', 'sconto']);
        });
    }
};
